Subject: bug#41087: 27.0.91; How to remove Emacs 27 changes to minibuffer?

From: Drew Adams <[email-masked]>
Date: Tue, 12 May 2020 16:56:48 -0700 (PDT)

> > I do think the doc, and NEWS, could help by
> > clearly saying how to revert the changes.  Maybe
> > it does so sufficiently; I haven't studied it.
> 
> There are a lot of such preprocessing lines in your libraries
> 
>   (< emacs-major-version 23)
>   (= emacs-major-version 24)
> 
> so you could add something like
> 
>   (>= emacs-major-version 27)
> 
> to handle changes in Emacs 27.
> 
> Since NEWS describes how to get back a previous behavior,
> I'm closing this report.

I'm not interested in excluding Emacs 27 from all
my libraries.

1. I'm interested in being able to use Emacs 27 myself,
which is impossible now, because of (at least) the
loss of frame focus problem - the main reason I
filed the bug.

2. No, NEWS does not describe anything about this.
It may describe how to reverse some of the other
changes I mentioned - the ones Eli spoke to.

Answers to those other problems, which I'm guessing
is what you're referring to, do not respond to this
bug - which shouldn't be closed.